petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateNormalHermitian

Creates a new matrix object that behaves like (A*)'*A.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateNormalHermitian(Mat A,Mat *N)

Collective on Mat Many br

### Input Parameter

A -the (possibly rectangular complex) matrix Many br

### Output Parameter

N -the matrix that represents (A*)'*A Many br

Many br

Notes: The product (A*)'*A is NOT actually formed! Rather the new matrix Many brobject performs the matrix-vector product by first multiplying by Many brA and then (A*)' Many br

Level:intermediate
Location:src/mat/impls/normal/normmh.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages